<?php

require "data.php";
$page_name = "Orders";
$page_number = 3;

    if ( !isset($_SESSION["active"]) || !$_SESSION["active"] ){
        header("Location: signin.php");
    }

?>

<!doctype html>
<html class="no-js" lang="en">

<head>
    <?php
    require "part_head.php";
    ?>
</head>

<?php
require "part_preloader_area.php";
?>

<div class="page-container">

    <?php
    require "part_side_menu_area.php";
    ?>

    <!-- main content area start -->
    <div class="main-content">

        <?php
        require "part_header_area.php";
        require "part_page_title_area.php";
        ?>

        <div class="main-content-inner">

            <?php

                require "connection.php";
                require ("api/pdo/connection_pdo.php");
                $sql = "SELECT mkt_order.*,
                        mkt_buyers.full_name,
                        mkt_order_states.name AS state_name,
                        mkt_order_states.id AS state_id,
                        (SELECT COUNT(*) FROM `mkt_order_products` WHERE mkt_order_products.order = mkt_order.id  ) as number_of_products
                        FROM mkt_order
                        INNER JOIN mkt_buyers ON mkt_buyers.id = mkt_order.mkt_buyer
                        INNER JOIN mkt_order_states ON mkt_order_states.id = mkt_order.order_state
                        ORDER BY mkt_order.id DESC";
                require ("api/pdo/functionality_fetch_data.php");
            ?>


            <div class="row">

                <div class="col-12 mt-5">
                    <div class="card">
                        <div class="card-body">
                            <h4 class="header-title">Order</h4>
                            <div class="single-table">
                                <div class="table-responsive">
                                    <table class="table">
                                        <thead class="text-uppercase bg-primary">
                                        <tr class="text-white">
                                            <th scope="col">ID</th>
                                            <th scope="col">Buyer Name</th>
                                            <th scope="col">Products Needed</th>
                                            <th scope="col">State</th>
                                            <th scope="col">No Of Products</th>
                                            <th scope="col">Order Date</th>
                                            <th scope="col">Action</th>
                                        </tr>
                                        </thead>
                                        <tbody style="text-align: left">

                                        <?php
                                        foreach ($data as $item) {

                                        ?>

                                        <tr>
                                            <th scope="row"><?= $item["id"] ?></th>
                                            <td><?= $item["full_name"] ?></td>
                                            <td>
                                                <?php

                                                $sql = "SELECT mkt_products.name FROM mkt_order_products 
                                                            INNER JOIN mkt_products ON mkt_order_products.product = mkt_products.id 
                                                            WHERE mkt_order_products.order = ".$item["id"]." ";
                                                $result = $conn->query($sql);

                                                if ($result->num_rows > 0){

                                                    $rows_counter = 0;
                                                    while($row = $result->fetch_assoc()) {
                                                        if (++$rows_counter>3){
                                                            echo "...";
                                                            break;
                                                        }
                                                        echo $row["name"].", ";
                                                    }
                                                }else{
                                                    echo "no-product";
                                                }
                                                ?>
                                            </td>
                                            <td><span class="status-p bg-<?php
                                                    if ($item["state_id"] == "1"){ //new
                                                        echo "info";
                                                    }else if ($item["state_id"] == "2"){//in progress
                                                        echo "warning";
                                                    }else if ($item["state_id"] == "3"){//completed
                                                        echo "success";
                                                    }else if ($item["state_id"] == "4"){//canceled
                                                        echo "danger";
                                                    }else{

                                                    }
                                                ?>"><?= $item["state_name"] ?></span></td>
                                            <td><?= $item["number_of_products"] ?></td>
                                            <td><?= $item["order_date"] ?></td>
                                            <td><a href="view_single_order.php?id=<?=$item["id"] ?>"><i class="ti-more"></i></a> </td>
                                        </tr>

                                        <?php
                                            }
                                        ?>


                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>



        </div>
    </div>
    <!-- main content area end -->

    <?php
    require "part_footer_area.php";
    ?>

</div>
<!-- page container area end -->

<?php
require "part_offset_area.php";
require "part_bottom_scripts.php";
?>

</body>

</html>
