<?php

require "data.php";
$page_name = "Products To Verify";
$page_number = 7;

    if ( !isset($_SESSION["active"]) || !$_SESSION["active"] ){
        header("Location: signin.php");
    }

?>

<!doctype html>
<html class="no-js" lang="en">

<head>
    <?php
    require "part_head.php";
    ?>
</head>

<?php
require "part_preloader_area.php";
?>


<?php
    require "connection.php";

    if (isset($_GET["activate"])){
        $activate = $_GET["activate"];

        $sql = "UPDATE `mkt_products` SET `active` = '1' WHERE `mkt_products`.`id` = ".$activate;
        $conn->query($sql);
    }
    
    if (isset($_GET["delete"])){
        $delete = $_GET["delete"];
        $sql = "DELETE FROM `mkt_products` WHERE `mkt_products`.`id` = ".$delete;
        $conn->query($sql);
    }

    
?>

<div class="page-container">

    <?php
    require "part_side_menu_area.php";
    ?>

    <!-- main content area start -->
    <div class="main-content">

        <?php
        require "part_header_area.php";
        require "part_page_title_area.php";
        ?>

        <div class="main-content-inner">


            <?php

            require ("api/pdo/connection_pdo.php");
            $sql = "SELECT mkt_products.*, 
                            ( IF(mkt_products.type_id = 1,
                                 (SELECT mkt_equipment_category.title FROM mkt_equipment_category WHERE mkt_equipment_category.id = mkt_products.category_id ), 
                                 (SELECT animal_types.type_name FROM animal_types WHERE animal_types.type_id = mkt_products.category_id ) ) 
                                ) AS category_name,
                            mkt_currency.title AS currency_name,
                            (SELECT mkt_product_pictures.picture FROM `mkt_product_pictures` 
                                WHERE mkt_product_pictures.mkt_product_id = mkt_products.id LIMIT 1) AS picture,
                            mkt_vendor.full_name AS vendor_name,
                            mkt_vendor.address AS vendor_address
                            FROM `mkt_products`  
                            INNER JOIN mkt_currency ON mkt_products.currency_id = mkt_currency.id
                            INNER JOIN mkt_vendor ON mkt_vendor.id = mkt_products.vender_id
                            WHERE mkt_products.active = 0 ORDER BY mkt_products.date DESC" ;
            require ("api/pdo/functionality_fetch_data.php");
            $order_products = $data;

            ?>


            <div class="col-12 mt-3">
                <div class="card">
                    <div class="card-body">
                        <h4 class="header-title">All products ( <?= count($order_products) ?> ) </h4>
                        <div class="single-table">
                            <div class="table-responsive">
                                <table class="table">
                                    <thead class="text-uppercase bg-primary">
                                    <tr class="text-white">
                                        <th scope="col">ID</th>
                                        <th scope="col">Name</th>
                                        <th scope="col">Description</th>
                                        <th scope="col">Quantity</th>
                                        <th scope="col">Price</th>
                                        <th scope="col">Action</th>
                                        <th scope="col">Vendor Name</th>
                                        <th scope="col">Address</th>
                                        <th scope="col">Action</th>
                                    </tr>
                                    </thead>
                                    <tbody style="text-align: left">

                                    <?php
                                    foreach ($order_products as $item) {

                                        ?>

                                        <tr>
                                            <th scope="row"><?= $item["id"] ?></th>
                                            <td><?= $item["name"] ?></td>
                                            <td><?= $item["description"] ?></td>
                                            <td><?= $item["quantity"] ?></td>
                                            <td><?= $item["currency_name"] ?> <?= $item["price"] ?></td>
                                            <td><a href="view_single_product.php?id=<?= $item['id'] ?>">View >>></a> </td>
                                            <td><?= $item["vendor_name"] ?></td>
                                            <td><?= $item["vendor_address"] ?></td>
                                            <td>
                                                <ul class="d-flex justify-content-center">
                                                    <li class="mr-3">
                                                        <a href="view_products_to_verify.php?activate=<?= $item['id'] ?>" type="button" class="p-1 btn-success">Activate</a>
                                                    </li>
                                                    <li>
                                                        <a href="view_products_to_verify.php?delete=<?= $item['id'] ?>" class="text-danger"><i class="ti-trash"></i></a>
                                                    </li>
                                                </ul>
                                            </td>
                                        </tr>

                                        <?php
                                    }
                                    ?>


                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>



                </div>
            </div>





















        </div>
    </div>
    <!-- main content area end -->

    <?php
    require "part_footer_area.php";
    ?>

</div>
<!-- page container area end -->

<?php
require "part_offset_area.php";
require "part_bottom_scripts.php";
?>

</body>

</html>
